import Qt 4.7

Image {
    id: header

    property alias editUrl: urlInput.url
    property bool urlChanged: false

    source: "qrc:/pics/titlebar-bg.png"; fillMode: Image.TileHorizontally

    x: webView.contentX < 0 ? -webView.contentX : webView.contentX > webView.contentWidth-webView.width
                                                ? -webView.contentX+webView.contentWidth-webView.width : 0
    y: {
        if (webView.progress < 1.0)
            return 0;
        else {
            webView.contentY < 0 ? -webView.contentY : webView.contentY > height ? -height : -webView.contentY
        }
    }

    Column {
        width: parent.width

        Item {
            width: parent.width;
            height: 20
            Text {
                anchors.centerIn: parent
                text: webView.title ? webView.accountName + " - " + webView.title : webView.accountName;
                font.pixelSize: 14;
                font.bold: true
                color: "white";
                styleColor: "black";
                style: Text.Sunken
            }
        }

        Item {
            width: parent.width;
            height: 40

            UrlInput {
                id: urlInput
                anchors { left: parent.left; right: parent.right }
                anchors.rightMargin: quitButton.visible ? 48 : 3
                image: "qrc:/pics/display.png"
                onUrlEntered: {
                    webBrowser.urlString = url
                    webBrowser.focus = true
                    header.urlChanged = false
                }
                onUrlChanged: header.urlChanged = true
            }
        }
    }

    Image {
        id: quitButton
        visible: webView.isMaemo5
        anchors.top: parent.top
        anchors.topMargin: 4
        anchors.rightMargin: 4
        anchors.right: parent.right
        source: "qrc:/pics/quit.png"
        sourceSize.width: 40
        fillMode: Image.PreserveAspectFit
        opacity: 0.7

        MouseArea {
            anchors.fill: parent
            onClicked: window.closeWindow()
        }
    }
}
